Cannot log in to MySQL through MyWebSQL #34

Open
blakestone95 opened this Issue Nov 17, 2016 · 4 comments

Projects

None yet

2 participants

@blakestone95

Hello,

I am having trouble logging in to MySQL using this plugin.

I have a fairly new LEMP stack install on Ubuntu Server 16.04 with wordpress working correctly, yet I am unable to log in to MySQL. I believe I have users with permissions correctly granting access, but I am unsure. My understanding was that this plugin should have worked out of the box, however, I realized that I had no users other than root and my wordpress user set up, so I added a user at '%' on . with all privileges. Still no luck.

I attempted to enable log files and such, so see exactly what was happening, but could not find them/did not enable them correctly.

I'm at a loss, an help would be much appreciated!

@Samnan
Owner
Samnan commented Nov 17, 2016

Hi

What does the mywebsql error say when you submit the login information?

On Nov 17, 2016 12:06 PM, "blakestone95" notifications@github.com wrote:

Hello,

I am having trouble logging in to MySQL using this plugin.

I have a fairly new LEMP stack install on Ubuntu Server 16.04 with
wordpress working correctly, yet I am unable to log in to MySQL. I believe
I have users with permissions correctly granting access, but I am unsure.
My understanding was that this plugin should have worked out of the box,
however, I realized that I had no users other than root and my wordpress
user set up, so I added a user at '%' on . with all privileges. Still
no luck.

I attempted to enable log files and such, so see exactly what was
happening, but could not find them/did not enable them correctly.

I'm at a loss, an help would be much appreciated!


You are receiving this because you are subscribed to this thread.
Reply to this email directly, view it on GitHub
#34, or mute the thread
https://github.com/notifications/unsubscribe-auth/AA1SICG4Y1u4tKu1BCEXrf3j3eMGUJq7ks5q-_z6gaJpZM4K07mO
.

@blakestone95

It has no error, it simply reloads. I assume that means that it does not have valid credentials.

@Samnan
Owner
Samnan commented Nov 18, 2016

That might be a problem with php configuration. You will need to specify:

  • web server (nginx, apache etc)
  • php running as? module/cgi/fcgi, including version
  • phpinfo or php.ini
@blakestone95

Alright. I'm using:

  • nginx 1.10.1
  • php 7.0 fpm (v 7.0.8)
  • Ubuntu server 16.04.3
  • php.ini attached
    php.ini.txt
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment